module FFMPEG_jll
using Libdl
is_available() = true
find_artifact_dir() = "/usr"
artifact_dir = "/usr"
const PATH_list = String[]
const LIBPATH_list = String[]
const PATH = Ref("")
const LIBPATH = Ref("")
const LIBPATH_env = "LD_LIBRARY_PATH"
export libavcodec
const libavcodec_path = "/usr/lib/libavcodec.so.63"
libavcodec_handle = C_NULL
get_libavcodec_path() = libavcodec_path
const libavcodec = "libavcodec.so.63"
export libavdevice
const libavdevice_path = "/usr/lib/libavdevice.so.63"
libavdevice_handle = C_NULL
get_libavdevice_path() = libavdevice_path
const libavdevice = "libavdevice.so.63"
export libavfilter
const libavfilter_path = "/usr/lib/libavfilter.so.12"
libavfilter_handle = C_NULL
get_libavfilter_path() = libavfilter_path
const libavfilter = "libavfilter.so.12"
export libavformat
const libavformat_path = "/usr/lib/libavformat.so.63"
libavformat_handle = C_NULL
get_libavformat_path() = libavformat_path
const libavformat = "libavformat.so.63"
export libavutil
const libavutil_path = "/usr/lib/libavutil.so.61"
libavutil_handle = C_NULL
get_libavutil_path() = libavutil_path
const libavutil = "libavutil.so.61"
export libpostproc
const libpostproc_path = "/usr/lib/libavutil.so.61"
libpostproc_handle = C_NULL
get_libpostproc_path() = libpostproc_path
const libpostproc = "libavutil.so.61"
export libswresample
const libswresample_path = "/usr/lib/libswresample.so.7"
libswresample_handle = C_NULL
get_libswresample_path() = libswresample_path
const libswresample = "libswresample.so.7"
export libswscale
const libswscale_path = "/usr/lib/libswscale.so.10"
libswscale_handle = C_NULL
get_libswscale_path() = libswscale_path
const libswscale = "libswscale.so.10"
export ffmpeg
const ffmpeg_path = "/usr/bin/ffmpeg"
ffmpeg(f::Function; kw...) = f(ffmpeg_path)
ffmpeg(; kw...) = Cmd([ffmpeg_path])
export ffprobe
const ffprobe_path = "/usr/bin/ffprobe"
ffprobe(f::Function; kw...) = f(ffprobe_path)
ffprobe(; kw...) = Cmd([ffprobe_path])
function __init__()
    global libavcodec_handle = dlopen(libavcodec_path)
    global libavdevice_handle = dlopen(libavdevice_path)
    global libavfilter_handle = dlopen(libavfilter_path)
    global libavformat_handle = dlopen(libavformat_path)
    global libavutil_handle = dlopen(libavutil_path)
    global libpostproc_handle = dlopen(libpostproc_path)
    global libswresample_handle = dlopen(libswresample_path)
    global libswscale_handle = dlopen(libswscale_path)
end
end
